BINDING_HEADER_MINIMAPMAGNIFY = 'MinimapMagnify';

function ToggleMinimapMagnify(keystate)
    if (keystate ~= "down") then
        PlaySound("igMiniMapClose");
        MinimapMagnifyCluster:Hide();
        Minimap:Show();

        if (Minimap:GetZoom() == 0) then
            Minimap:SetZoom(Minimap:GetZoom() + 1);
            Minimap:SetZoom(Minimap:GetZoom() - 1);
        else
            Minimap:SetZoom(Minimap:GetZoom() - 1);
            Minimap:SetZoom(Minimap:GetZoom() + 1);
        end
    else
        PlaySound("igMiniMapOpen");
        Minimap:Hide();
        MinimapMagnifyCluster:Show();

        if (MinimapMagnify:GetZoom() == 0) then
            MinimapMagnify:SetZoom(MinimapMagnify:GetZoom() + 1);
            MinimapMagnify:SetZoom(MinimapMagnify:GetZoom() - 1);
        else
            MinimapMagnify:SetZoom(MinimapMagnify:GetZoom() - 1);
            MinimapMagnify:SetZoom(MinimapMagnify:GetZoom() + 1);
        end
    end
end

function MinimapMagnify_OnClick(self)
    local x, y = GetCursorPosition();
    x = x / self:GetEffectiveScale();
    y = y / self:GetEffectiveScale();

    local cx, cy = self:GetCenter();
    x = x - cx;
    y = y - cy;
    if (sqrt(x * x + y * y) < (self:GetWidth() / 2)) then
        MinimapMagnify:PingLocation(x, y);
    end
end
